﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;

namespace SimpleSample
{
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<Model>();
            Data.Add(new Model() { XValue = "Monday", YValue = 30 });
            Data.Add(new Model() { XValue = "Tuesday", YValue = 25 });
            Data.Add(new Model() { XValue = "Wednesday", YValue = 10 });
            Data.Add(new Model() { XValue = "Thursday", YValue = 30 });
            Data.Add(new Model() { XValue = "Friday", YValue = 20 });
        }
    }

    public class Model
    {
        public double YValue
        {
            get;
            set;
        }
        
        public string XValue
        {
            get;
            set;
        }
    }
}
